package MyRDBO::Karpet::Style;

use strict;

use base qw(MyRDBO::Karpet);

__PACKAGE__->meta->setup(
    table   => 'style',

    columns => [
        id            => { type => 'serial', not_null => 1 },
        name          => { type => 'varchar', not_null => 1 },
        description   => { type => 'varchar', not_null => 1 },
        css           => { type => 'varchar', not_null => 1 },
        default_style => { type => 'boolean', default => 'false', not_null => 1 },
        enabled       => { type => 'boolean', default => 'true', not_null => 1 },
        creator_id    => { type => 'integer', not_null => 1 },
        created       => { type => 'timestamp', default => 'now()', not_null => 1 },
    ],

    primary_key_columns => [ 'name' ],

    unique_keys => [
        [ 'css' ],
        [ 'default_style' ],
        [ 'description' ],
        [ 'id' ],
    ],

    foreign_keys => [
        creator => {
            class       => 'MyRDBO::Karpet::UserAccount',
            key_columns => { creator_id => 'id' },
        },
    ],

    relationships => [
        transcript => {
            class      => 'MyRDBO::Karpet::Transcript',
            column_map => { id => 'style_id' },
            type       => 'one to many',
        },
    ],
);

1;

