package MyRDBO::Karpet::Style::Form;
use strict;
use base qw( MyRDBO::Form );

sub object_class { 'MyRDBO::Karpet::Style' }

sub init_with_style {
    my $self = shift;
    $self->init_with_object(@_);
}

sub style_from_form {
    my $self = shift;
    $self->object_from_form(@_);
}

sub build_form {
    my $self = shift;
    
    $self->add_fields(
    
    id => {
        id      => 'id',
        type    => 'serial',
        class   => 'serial',
        label   => 'id',
        rank    => 1,
        },

    name => {
        id          => 'name',
        type        => 'text',
        class       => 'varchar',
        label       => 'name',
        tabindex    => 2,
        rank        => 2,
        size        => 0,
        maxlength   => 64,
        },

    description => {
        id          => 'description',
        type        => 'text',
        class       => 'varchar',
        label       => 'description',
        tabindex    => 3,
        rank        => 3,
        size        => 0,
        maxlength   => 64,
        },

    css => {
        id          => 'css',
        type        => 'text',
        class       => 'varchar',
        label       => 'css',
        tabindex    => 4,
        rank        => 4,
        size        => 0,
        maxlength   => 64,
        },

    default_style => {
        id          => 'default_style',
        type        => 'boolean',
        label       => 'default_style',
        tabindex    => 5,
        rank        => 5,
        class       => 'boolean',
        },

    enabled => {
        id          => 'enabled',
        type        => 'boolean',
        label       => 'enabled',
        tabindex    => 6,
        rank        => 6,
        class       => 'boolean',
        },

    creator_id => {
        id          => 'creator_id',
        type        => 'integer',
        class       => 'integer',
        label       => 'creator_id',
        tabindex    => 7,
        rank        => 7,
        size        => 4,
        maxlength   => 64,
        },

    created => {
        id          => 'created',
        type        => 'datetime',
        class       => 'timestamp',
        label       => 'created',
        tabindex    => 8,
        rank        => 8,
        size        => 0,
        maxlength   => 64,
        },
    );
    
    return $self->SUPER::build_form(@_);
}

1;

