package MyRDBO::Karpet::Transcript;

use strict;

use base qw(MyRDBO::Karpet);

__PACKAGE__->meta->setup(
    table   => 'transcript',

    columns => [
        id         => { type => 'serial', not_null => 1 },
        style_id   => { type => 'integer', not_null => 1 },
        student_id => { type => 'integer', not_null => 1 },
        label      => { type => 'varchar', length => 255, not_null => 1 },
    ],

    primary_key_columns => [ 'student_id', 'label' ],

    unique_key => [ 'id' ],

    foreign_keys => [
        style => {
            class       => 'MyRDBO::Karpet::Style',
            key_columns => { style_id => 'id' },
        },
    ],
);

1;

