package MyRDBO::Karpet::Transcript::Form;
use strict;
use base qw( MyRDBO::Form );

sub object_class { 'MyRDBO::Karpet::Transcript' }

sub init_with_transcript {
    my $self = shift;
    $self->init_with_object(@_);
}

sub transcript_from_form {
    my $self = shift;
    $self->object_from_form(@_);
}

sub build_form {
    my $self = shift;
    
    $self->add_fields(
    
    id => {
        id      => 'id',
        type    => 'serial',
        class   => 'serial',
        label   => 'id',
        rank    => 1,
        },

    style_id => {
        id          => 'style_id',
        type        => 'integer',
        class       => 'integer',
        label       => 'style_id',
        tabindex    => 2,
        rank        => 2,
        size        => 4,
        maxlength   => 64,
        },

    student_id => {
        id          => 'student_id',
        type        => 'integer',
        class       => 'integer',
        label       => 'student_id',
        tabindex    => 3,
        rank        => 3,
        size        => 4,
        maxlength   => 64,
        },

    label => {
        id          => 'label',
        type        => 'text',
        class       => 'varchar',
        label       => 'label',
        tabindex    => 4,
        rank        => 4,
        size        => 64,
        maxlength   => 64,
        },
    );
    
    return $self->SUPER::build_form(@_);
}

1;

